Khắc phục thông báo “utf8mb4 yêu cầu thư viện mới hơn” trên WordPress

6
0

WordPress là một trong những nền tảng quản lý nội dung phổ biến nhất trên thế giới, được sử dụng để tạo ra các trang web động, blog, cửa hàng trực tuyến và nhiều hơn nữa. Tuy nhiên, trong quá trình sử dụng WordPress, bạn có thể gặp phải thông báo lỗi “utf8mb4 yêu cầu thư viện mới hơn”. Điều này có thể khiến cho các trang web của bạn không hoạt động đúng cách và gây khó khăn cho việc quản lý nội dung trên trang web của bạn.

Trong bài viết này, chúng ta sẽ tìm hiểu cách khắc phục thông báo lỗi “utf8mb4 yêu cầu thư viện mới hơn” trên WordPress. Chúng ta sẽ tìm hiểu về nguyên nhân gây ra lỗi này, cách xác định xem trang web của bạn có bị ảnh hưởng hay không, và cách sửa lỗi này một cách đơn giản và nhanh chóng.

Nếu bạn đang gặp phải vấn đề này trên trang web WordPress của mình, hãy tiếp tục đọc bài viết này để tìm hiểu cách khắc phục lỗi “utf8mb4 yêu cầu thư viện mới hơn” và đưa trang web của bạn trở lại hoạt động một cách bình thường.

Thông báo này là gì?

Thông báo này xuất hiện trong trang Site Health của WordPress để cảnh báo rằng phiên bản thư viện MySQL hiện tại của máy chủ của bạn không đáp ứng yêu cầu mã hóa bảng dữ liệu utf8mb4 của WordPress.

UTF8MB4 là bộ ký tự được WordPress sử dụng để lưu trữ dữ liệu trong cơ sở dữ liệu của nó, bao gồm cả các biểu tượng cảm xúc Emoji. Vì vậy, nếu phiên bản MySQL hiện tại của bạn không hỗ trợ utf8mb4, bạn có thể gặp sự cố khi lưu trữ các ký tự đặc biệt trong nội dung của trang web WordPress của bạn.

Thông báo này cũng cung cấp thông tin rằng phiên bản MariaDB hiện tại của bạn hỗ trợ utf8mb4, điều này có nghĩa là bạn có thể sử dụng phiên bản MariaDB thay thế cho MySQL nếu cần.

utf8mb4 yêu cầu thư viện mới hơn

Khắc phục thông báo “utf8mb4 yêu cầu thư viện mới hơn”

Để khắc phục thông báo này bạn hãy truy cập vào bên trong Hosting và di chuyển đến mục PHP Selector. Tại đây bạn chọn phiên bản PHP mà web đang dùng sau đó bạn tắt mysqli kích hoạt Extension mysqlndnd_mysqli. Như ảnh đính kèm bên dưới.

image 155
image 156

mysqli và nd_mysqli đều là các extension của PHP được sử dụng để kết nối với cơ sở dữ liệu MySQL, tuy nhiên chúng có những điểm khác nhau như sau:

  1. Thư viện: mysqli là một thư viện chuẩn trong PHP, trong khi nd_mysqli là một thư viện tùy chọn được cung cấp bởi Nusphere, một công ty phát triển ứng dụng PHP.
  2. Hiệu suất: nd_mysqli được cho là nhanh hơn mysqli bởi vì nó sử dụng driver của Nusphere để tương tác với MySQL, điều này có thể cải thiện hiệu suất của ứng dụng PHP.
  3. Tính năng: nd_mysqli có thể hỗ trợ nhiều tính năng hơn so với mysqli, ví dụ như hỗ trợ cho các truy vấn lớn hơn và hỗ trợ cho các tham số đầu vào động.
  4. Cấu hình: Cấu hình nd_mysqli phức tạp hơn so với mysqli. Bạn phải cài đặt thư viện nd_mysqli riêng trên máy chủ của mình và chỉnh sửa tệp php.ini để bật nd_mysqli.

Vì vậy, sự khác biệt giữa mysqli và nd_mysqli phụ thuộc vào nhu cầu của bạn. Nếu bạn cần sử dụng các tính năng đặc biệt và đang sử dụng Nusphere IDE, thì nd_mysqli có thể là sự lựa chọn tốt hơn. Nếu không, thì mysqli là một lựa chọn tốt và đơn giản hơn để kết nối với cơ sở dữ liệu MySQL.

Sau khi bật kích hoạt xong bạn quay vào dashboard WordPress và kiểm tra lại. Dòng thông báo đã biến mất và vấn đề đã được khắc phục

utf8mb4 yêu cầu thư viện mới hơn
Đỗ Trung Quân
WRITTEN BY

Đỗ Trung Quân

Nguồn nội dung này đến từ Website DoTrungQuan.info

Trả lời